# VoteWitnessAccount

**Body params**:&#x20;

* `owner_address` - Owner address, default hexString
* `votes` - 'vote\_address' stands for the address of the witness you want to vote, default hexString, 'vote\_count' stands for the number of votes you want to vote
* `permission_id` - Optional, for multi-signature use
* `visible` - Optional, Whether the address is in base58 format.

**Request**

```
curl --request POST \
     --url https://tron.api.watchdata.io/wallet/votewitnessaccount \
     --header 'Accept: application/json' \
     --header 'Content-Type: application/json' \
     --data '
{
     "owner_address": "41d1e7a6bc354106cb410e65ff8b181c600ff14292",
     "votes": [
          {
               "vote_address": "41e552f6487585c2b58bc2c9bb4492bc1f17132cd0",
               "vote_count": 0
          }
     ],
     "permission_id": 0,
     "visible": true
}
'
```

**Response**

```
{
  "Error": "class java.lang.IllegalArgumentException : Illegal character 0 at 14"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.watchdata.io/blockchain-apis/tron-api/voting-and-srs/votewitnessaccount.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
